##
##  visitors.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         visitors
Summary:      Fast Web Log Analyzer
URL:          http://www.hping.org/visitors/
Vendor:       Salvatore Sanfilippo
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Logfile
License:      GPL
Version:      0.7
Release:      20130205

#   list of sources
Source0:      http://www.hping.org/visitors/visitors-%{version}.tar.gz
Source1:      rc.visitors
Patch0:       visitors.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, make
PreReq:       OpenPKG, openpkg >= 20100101, adns

%description
    Visitors is a very fast web log analyzer. It takes as input a
    web server log file, and outputs statistics in form of different
    reports.

%track
    prog visitors = {
        version   = %{version}
        url       = http://www.hping.org/visitors/
        regex     = visitors-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n visitors_%{version}
    %patch -p0

%build
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/var/visitors
    %{l_shtool} install -c -s -m 755 \
        visitors $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        visitors.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rc.visitors} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%attr(-,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/visitors'

%files -f files

%clean

%post
    if [ $1 -eq 2 ]; then
        eval `%{l_rc} visitors status 2>/dev/null`
        [ ".$visitors_active" = .yes ] && %{l_rc} visitors restart
    fi
    exit 0

%preun
    if [ $1 -eq 0 ]; then
        %{l_rc} visitors stop 2>/dev/null
        rm -rf $RPM_INSTALL_PREFIX/var/visitors/* >/dev/null 2>&1 || true
    fi
    exit 0

